Subject: bug#12526: 24.2.50; `query-replace-interactive' not always respected

From: Dani Moncayo <[email-masked]>
Date: Thu, 4 Oct 2012 13:45:38 +0200

On Thu, Oct 4, 2012 at 11:09 AM, Juri Linkov <[email-masked]> wrote:
>> As I said before, I think it is unsuitable to assume that the user
>> always wants to use the last search string as "from" string in
>> query-replace (when query-replace is invoked from Isearch).
>
> `query-replace' is not invoked from Isearch.
> `isearch-query-replace' is invoked from Isearch.

Ah, right.  I didn't notice it.  I thought that M-% wasn't rebound in Isearch.

> So your wish is about invoking `query-replace'
> instead of `isearch-query-replace' from Isearch.

I think so.  What is the difference between these two commands, apart
from the one involving the "from" string?

> Your wish is not different from other similar desires e.g.:
> "I want `M-e' in Isearch to exit Isearch and call `forward-sentence'
> instead of editing the search string" or "I want `C-y' in Isearch
> to exit Isearch and call `yank' instead of pulling string from the kill ring
> into the search string" and the same can be said for other Isearch
> keybindings too.
>
> All of them could be solved at once by implementing a new feature
> that will bypass Isearch keybindings to original commands.

Ok, thanks for clarifying this.

-- 
Dani Moncayo